# Veles Python package

This is a package for reading [Veles Smart Household](#veles-smart-household) sensors and for logging and visualizing data.

## Installation

```
pip install veles
```

Further documentation is a work in progress :)

## Veles Smart Household

This package is part of Veles Smart Household. Goal of this project is to create open hardware and software platform for measuring various quantities, not only related to indoor air quality:

* temperature
* humidity
* atmospheric pressure
* carbon dioxide (CO2)
* carbon monoxide (CO)
* volatile organic compounds (VOC)
* particulate matter (PM - dust particles)
* light intensity
* soil moisture

... and some more!

Sensors are connected either via RS-485 Modbus or wirelessly to central unit. Wireless sensors are currently in development. Central unit may be any anything that can read from the bus: any computer with RS-485 to USB converter (e.g. Raspberry Pi) or an actual PLC. Readout of the sensor is possible via Modbus: either using your own favourite application or using your Python package.

**We want this to be community effort! Come help us make something great!**

### Other Smart Household repositories

* [RHT wired sensor](https://gitea.veleslabs.org/veles_labs/rht_sensor_wired)
* [IAQ wired sensor](https://gitea.veleslabs.org/veles_labs/iaq_sensor_wired)

